1. Airtime
VTU API
  • Overview
  • Commission
  • Airtime
    • Providers
      GET
    • Payment
      POST
  • Data Bundle
    • Get Providers
      GET
    • Get Data Bundles
      POST
    • Payment
      POST
  • Cable TV
    • Get Providers
      GET
    • Get Bouquet
      POST
    • Validate Account
      POST
    • Payment
      POST
  • Electricity
    • Get Providers
      GET
    • Validate Account
      POST
    • Payment
      POST
  • Showmax
    • Get Bouquets
      GET
    • Payment
      POST
  • Gaming
    • Get Providers
      GET
    • Validate Account
      POST
    • Payment
      POST
  • Wallet
    • Balance
      GET
  • Education
    • Get Providers
      GET
    • Get Exam Types
      POST
  • Schedule Payments
    • Setup
      • Options
      • Bundles
    • Create
      • Create - Airtime (one time)
      • Create - Data (monthly)
      • Create - Cable TV (monthly)
      • Create - Electricity (weekly)
    • Manage
      • List schedules
      • Get schedule
      • Update schedule
      • Pay now
      • Retry failed run
      • Pause
      • Resume
      • Cancel (archive)
      • Re-enable
      • Delete
  • Buy Bulk Airtime
    • Bulk airtime
    • List bulk requests
    • Get bulk request
    • Download report (CSV)
    • Cancel
    • Query one number
  • Webhook (reference)
  1. Airtime

Providers

GET
https://api.paybeta.ng/v2/airtime/providers
Response:
{
  "status": "successful",
  "message": "Request processed successfully.",
  "data": [
    {
      "name": "MTN VTU",
      "category": "airtime",
      "status": true,
      "logo": "https://res.cloudinary.com/paybeta/image/upload/v1713709773/Provider/VTU/800px-New-mtn-logo_wpn9qq.jpg"
    },
    {
      "name": "GLO VTU",
      "category": "airtime",
      "status": true,
      "logo": "https://res.cloudinary.com/paybeta/image/upload/v1713709647/Provider/VTU/glo_fpaf7m.svg"
    },
    {
      "name": "AIrtel VTU",
      "category": "airtime",
      "status": true,
      "logo": "https://res.cloudinary.com/paybeta/image/upload/v1713709747/Provider/VTU/airtel_qkjpk1.png"
    },
    {
      "name": "9mobile VTU",
      "category": "airtime",
      "status": true,
      "logo": "https://res.cloudinary.com/paybeta/image/upload/v1713709763/Provider/VTU/9mobile_iswfnh.svg"
    }
  ]
}

Request

Authorization
Add parameter in header
P-API-KEY
Example:
P-API-KEY: ********************
Header Params

Responses

🟢200Successful
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.paybeta.ng/v2/airtime/providers' \
--header 'Accept: application/json' \
--header 'P-API-KEY: <api-key>' \
--header 'Content-Type: application/json'
Response Response Example
{
    "status": "successful",
    "message": "Request processed successfully.",
    "data": [
        {
            "name": "MTN VTU",
            "category": "airtime",
            "status": true,
            "logo": "https://res.cloudinary.com/paybeta/image/upload/v1713709773/Provider/VTU/800px-New-mtn-logo_wpn9qq.jpg"
        },
        {
            "name": "GLO VTU",
            "category": "airtime",
            "status": true,
            "logo": "https://res.cloudinary.com/paybeta/image/upload/v1713709647/Provider/VTU/glo_fpaf7m.svg"
        },
        {
            "name": "AIrtel VTU",
            "category": "airtime",
            "status": true,
            "logo": "https://res.cloudinary.com/paybeta/image/upload/v1713709747/Provider/VTU/airtel_qkjpk1.png"
        },
        {
            "name": "9mobile VTU",
            "category": "airtime",
            "status": true,
            "logo": "https://res.cloudinary.com/paybeta/image/upload/v1713709763/Provider/VTU/9mobile_iswfnh.svg"
        }
    ]
}
Modified at 2025-09-19 21:34:05
Previous
Commission
Next
Payment
Built with